Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents
Class Pages

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.Pages

All Implemented Interfaces:
  Cloneable, Iterable<Page>, Collection<Page>, List<Page>, IPdfObjectWrapper

    @PDF(value=PDF10)
    public final class Pages

extends PdfObjectWrapper<PdfDictionary>
implements List<Page>

Document pages collection [PDF:1.6:3.6.2].

Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Method Summary
`void` | `add(int index, Page page)`
`boolean` | `add(Page page)`
`boolean` | `addAll(Collection<? extends Page> pages)`
`boolean` | `addAll(int index, Collection<? extends Page> pages)`
`void` | `clear()`
`Pages` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`boolean` | `contains(Object page)`
`boolean` | `containsAll(Collection<?> pages)`
`boolean` | `equals(Object object)`
`Page` | `get(int index)`
`int` | `hashCode()`
`int` | `indexOf(Object page)`
`boolean` | `isEmpty()`
`Iterator<Page>` | `iterator()`
`int` | `lastIndexOf(Object page)`
`ListIterator<Page>` | `listIterator()`
`ListIterator<Page>` | `listIterator(int index)`
`Page` | `remove(int index)`
`boolean` | `remove(Object page)`
`boolean` | `removeAll(Collection<?> pages)`
`boolean` | `retainAll(Collection<?> pages)`
`Page` | `set(int index, Page page)`
`int` | `size()`
`List<Page>` | `subList(int fromIndex, int toIndex)`
`Page[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] pages)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public Pages clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### add

    public void add(int index,
                    Page page)

  Specified by:
    `add` in interface `List<Page>`

### addAll

    public boolean addAll(int index,
                          Collection<? extends Page> pages)

  Specified by:
    `addAll` in interface `List<Page>`

### get

    public Page get(int index)

  Specified by:
    `get` in interface `List<Page>`

### indexOf

    public int indexOf(Object page)

  Specified by:
    `indexOf` in interface `List<Page>`

### lastIndexOf

    public int lastIndexOf(Object page)

  Specified by:
    `lastIndexOf` in interface `List<Page>`

### listIterator

    public ListIterator<Page> listIterator()

  Specified by:
    `listIterator` in interface `List<Page>`

### listIterator

    public ListIterator<Page> listIterator(int index)

  Specified by:
    `listIterator` in interface `List<Page>`

### remove

    public Page remove(int index)

  Specified by:
    `remove` in interface `List<Page>`

### set

    public Page set(int index,
                    Page page)

  Specified by:
    `set` in interface `List<Page>`

### subList

    public List<Page> subList(int fromIndex,
                              int toIndex)

  Specified by:
    `subList` in interface `List<Page>`

### add

    public boolean add(Page page)

  Specified by:
    `add` in interface `Collection<Page>`
  Specified by:
    `add` in interface `List<Page>`

### addAll

    public boolean addAll(Collection<? extends Page> pages)

  Specified by:
    `addAll` in interface `Collection<Page>`
  Specified by:
    `addAll` in interface `List<Page>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<Page>`
  Specified by:
    `clear` in interface `List<Page>`

### contains

    public boolean contains(Object page)

  Specified by:
    `contains` in interface `Collection<Page>`
  Specified by:
    `contains` in interface `List<Page>`

### containsAll

    public boolean containsAll(Collection<?> pages)

  Specified by:
    `containsAll` in interface `Collection<Page>`
  Specified by:
    `containsAll` in interface `List<Page>`

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in interface `Collection<Page>`
  Specified by:
    `equals` in interface `List<Page>`
  Overrides:
    `equals` in class `PdfObjectWrapper<PdfDictionary>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection<Page>`
  Specified by:
    `hashCode` in interface `List<Page>`
  Overrides:
    `hashCode` in class `Object`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<Page>`
  Specified by:
    `isEmpty` in interface `List<Page>`

### remove

    public boolean remove(Object page)

  Specified by:
    `remove` in interface `Collection<Page>`
  Specified by:
    `remove` in interface `List<Page>`

### removeAll

    public boolean removeAll(Collection<?> pages)

  Specified by:
    `removeAll` in interface `Collection<Page>`
  Specified by:
    `removeAll` in interface `List<Page>`

### retainAll

    public boolean retainAll(Collection<?> pages)

  Specified by:
    `retainAll` in interface `Collection<Page>`
  Specified by:
    `retainAll` in interface `List<Page>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<Page>`
  Specified by:
    `size` in interface `List<Page>`

### toArray

    public Page[] toArray()

  Specified by:
    `toArray` in interface `Collection<Page>`
  Specified by:
    `toArray` in interface `List<Page>`

### toArray

    public <T> T[] toArray(T[] pages)

  Specified by:
    `toArray` in interface `Collection<Page>`
  Specified by:
    `toArray` in interface `List<Page>`

### iterator

    public Iterator<Page> iterator()

  Specified by:
    `iterator` in interface `Iterable<Page>`
  Specified by:
    `iterator` in interface `Collection<Page>`
  Specified by:
    `iterator` in interface `List<Page>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.